> For the complete documentation index, see [llms.txt](https://docs.flexikanban.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flexikanban.ai/components/actions-action-groups/types/create-record-action.md).

# Create Record Action

"Create Record" Action allows to add new record of the selected Object.

* Add an action Type=Create Record (1). See more info about creating Actions in [Working with Actions](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641589?type=article\&site_id=24620) article.

![](https://media.screensteps.com/image_assets/assets/007/141/305/medium/8fa0500f-8086-4dbb-b95d-f940cdf57fb0.png)

* Select the object (2) which you are going to create record for. Add fields you need (3).&#x20;
* Fill in value for each field. You can use Static values, Merge Fields or Formulas to populate values (see more info on Merge Fields and Formulas at [Working with Context objects](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641592?type=article\&site_id=24620) and [Working with Functions](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641591?type=article\&site_id=24620)).

Note: All required fields will be added by default and you can't remove them.

![](https://media.screensteps.com/image_assets/assets/007/141/307/medium/359721e9-70e0-4f27-a209-4245d0177d11.png)

Action modes are:

* Standard mode shows field values corresponding to their data types (picklists, checkboxes, etc.)
* Advanced mode shows all field values as text inputs to allow user to enter merge fields there.
* **Variable Name** (4)**:** you can set a variable which will be populated with the Id of the created record. It's useful if you need to handle successful result of this action and refer to newly created record - e.g., build a link to new record and send it to some user by email.
* **Repeat** (5): check if you need to create multiple records. When checked, two new fields appear:
* **Number of Iterations** (6) can contain a number or some variable/merge field returning a number of records to create
* **Iterator Name** (7): you can set a variable which will be populated with the value of the record creation cycle iterator. It's useful if you need to handle successful result of this action and refer to the index of iterations - e.g., paste it in the record name and send email with it with text like "**Record "Account # %iterator\_name%" has been created successfully**"
* **Execute in background** (8)**:** select it if you need to execute "Create record" action in other context than current user operation. See more info at [Execute in background option](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641667?type=article\&site_id=24620). If check this option, the new field will appear:
* **With gap** (9): by default it is 0, but can be set as an integer number of minutes. This field specifies interval before action execution (for repeated actions - before each iteration).
* Save the action. Now you can call it from Kanban and other places.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flexikanban.ai/components/actions-action-groups/types/create-record-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
